> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Warranty Line Item

> This endpoint gets or creates a new warranty line item.

### Body

<ParamField body="id" type="string">
  This is the id of the warranty line item.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the warranty line item.
</ResponseField>

<ResponseField name="amount" type="string">
  This is the amount of the warranty line item.
</ResponseField>

<ResponseField name="condition" type="string">
  This is the condition of the warranty line item.
</ResponseField>

<ResponseField name="flat_rate_shipping" type="string">
  This is the flat rate shipping of the warranty line item.
</ResponseField>

<ResponseField name="name" type="string">
  This is the name of the warranty line item.
</ResponseField>

<ResponseField name="price" type="string">
  This is the price of the warranty line item.
</ResponseField>

<ResponseField name="warranty_id" type="string">
  This is the id of the warranty associated with the line item.
</ResponseField>

<ResponseField name="serial_number" type="string">
  This is the serial number of the warranty line item.
</ResponseField>

<ResponseField name="sku" type="string">
  This is the sku of the warranty line item.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/warranty_line_item' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
  }'
  ```

  ```graphQL GraphQL theme={null}

        query getMyWarrantyData($last_received_id: String, $last_received_ts: String, $first_received_date: date, $id: String) {
                warranty_line_items(where: {warranty_id: {_eq: $id}}) {
                  id
                  sku
                  name
                  price
                  condition
                  tax_refunded
                  flat_rate_shipping
                  warranty_id
                  serial_number
                  amount
                  image_1
                  image_2
                  image_3
                  match
                }
            }`

  ```

  ```javascript Node.js theme={null}

  const warranties = await stateset.warrantyItem.retrieve({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  });

  ```

  ```python Python theme={null}

  warranties = stateset.warrantylineitem.retrieve({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  })

  ```

  ```ruby Ruby theme={null}

  warranties = Stateset::WarrantyItem.retrieve({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  })

  ```

  ```php PHP theme={null}

  $warranties = $stateset->warrantyitem->retrieve([
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  ]);

  ```

  ```go Go theme={null}

  WarrantyLineItem , err := stateset.WarrantyItem.Retrieve(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  )

  ```

  ```java Java theme={null}

  WarrantyItem[] warrantyitem = stateset.warrantyitem.retrieve({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  });

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": {
      "warranty_line_items": [
        {
          "id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
          "sku": "123456789",
          "name": "Warranty Item",
          "price": "100.00",
          "condition": "New",
          "tax_refunded": false,
          "flat_rate_shipping": "10.00",
          "warranty_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
          "serial_number": "123456789",
          "amount": "110.00",
          "image_1": "https://www.example.com/image1.jpg",
          "image_2": "https://www.example.com/image2.jpg",
          "image_3": "https://www.example.com/image3.jpg",
          "match": "123456789"
        }
      ]
    }
  }
  ```
</ResponseExample>
